# TextAlign enum

Whether and how to align text horizontally.

## Constants

center → const TextAlign

  Align the text in the center of the container.

  `const TextAlign(2)`
end → const TextAlign

  Align the text on the trailing edge of the container.

  For left-to-right text (TextDirection.ltr), this is the right edge.

  For right-to-left text (TextDirection.rtl), this is the left edge.

  `const TextAlign(5)`
justify → const TextAlign

  Stretch lines of text that end with a soft line break to fill the width of the container.

  Lines that end with hard line breaks are aligned towards the start edge.

  `const TextAlign(3)`
left → const TextAlign

  Align the text on the left edge of the container.

  `const TextAlign(0)`
right → const TextAlign

  Align the text on the right edge of the container.

  `const TextAlign(1)`
start → const TextAlign

  Align the text on the leading edge of the container.

  For left-to-right text (TextDirection.ltr), this is the left edge.

  For right-to-left text (TextDirection.rtl), this is the right edge.

  `const TextAlign(4)`
values → const List<TextAlign>

  A constant List of the values in this enum, in order of their declaration.

  `const List<TextAlign>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited